BrowZine for iPad & iPhone FAQ

Does BrowZine for iPad also support iPad Mini?

Yes!  It will work with iPad Mini right out of the box!  Many customers appreciate the fact that the iPad Mini fits easily into medical lab coats making it easy to keep up with literature during downtime on rounds!

What is the minimum iOS version required for BrowZine?

As of version 1.6, BrowZine requires version iOS version 7.x or newer to run on iPads, iPhones and iPod Touches.  If your device runs this iOS version or can be upgraded to do so then it will run BrowZine!

Note: Existing iPad 1 users will still be able to use BrowZine just as they always have, but they will not be able to update to version 1.6 or create an BrowZine Account.  However, standard app function will continue for some time before finally being sunset at some point in the future.



Feedback and Knowledge Base